### Method

# RB ShellPlayer add_play_order

#### Declaration [src]

    void
    rb_shell_player_add_play_order (
      RBShellPlayer* player,
      const char* name,
      const char* description,
      GType order_type,
      gboolean hidden
    )

#### Description [src]

Adds a new play order to the set of available play orders.

#### Parameters

`name`

  Type: `const char*`

  Name of the new play order.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`description`

  Type: `const char*`

  Description of the new play order.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`order_type`

  Type: `GType`

  The `GType` of the play order class.

`hidden`

  Type: `gboolean`

  If `TRUE`, don’t display the play order in the UI.